<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Maps Plugin 1.0                                                           |
// +---------------------------------------------------------------------------+
// |markers.php                                                                 |
// |                                                                           |
// | Public plugin page                                                        |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2010 by the following authors:                              |
// |                                                                           |
// | Authors: ::Ben                                                            |
// +---------------------------------------------------------------------------+
// | Created with the Geeklog Plugin Toolkit.                                  |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

/**
* @package Maps
*/

require_once '../lib-common.php';

// take user back to the homepage if the plugin is not active
if (! in_array('maps', $_PLUGINS)) {
    echo COM_refresh($_CONF['site_url'] . '/index.php');
    exit;
}

// Ensure user has the rights to access this page
if (COM_isAnonUser()) {
	$display .= COM_siteHeader('');
	$display .= MAPS_user_menu();

	$display .= COM_startBlock ($LANG_LOGIN[1], '',
								COM_getBlockTemplate ('_msg_block', 'header'));
	$login = new Template($_CONF['path'] . 'plugins/maps/templates');
	$login->set_file (array ('login'=>'submitloginrequired.thtml'));
	$login->set_var ( 'xhtml', XHTML );
	$login->set_var ('login_message', $LANG_LOGIN[2]);
	$login->set_var ('site_url', $_CONF['site_url']);
	$login->set_var ('site_admin_url', $_CONF['site_admin_url']);
	$login->set_var ('layout_url', $_CONF['layout_url']);
	$login->set_var ('lang_login', $LANG_LOGIN[3]);
	$login->set_var ('lang_newuser', $LANG_LOGIN[4]);
	$login->parse ('output', 'login');
	$display .= $login->finish ($login->get_var('output'));
	$display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));

    $display .= COM_siteFooter();
    COM_output($display);
    exit;
}

// Incoming variable filter
$vars = array('mode' => 'alpha',
              'mkid' => 'number',
              'name' => 'text',
              'address' => 'text',
			  'lat' => 'alpha',
			  'lng' => 'alpha',
			  'mid' => 'number',
			  'payed' => 'number',
			  'create' => 'number',
			  'modified' => 'number',
			  'validity' => 'number',
			  'from' => 'number',
			  'to' => 'number',
			  'active' => 'number',
			  'hiddden' => 'number',
			  'remark' => 'text',
			  'description' => 'text',
			  'street' => 'text',
			  'code' => 'alpha',
			  'city' => 'text',
			  'country' => 'text',
			  'state' => 'text',
			  'tel' => 'alpha',
			  'fax' => 'alpha',
			  'web' => 'text',
			  'item_1' => 'text',
			  'item_2' => 'text',
			  'item_3' => 'text',
			  'item_4' => 'text',
			  'item_5' => 'text',
			  'item_6' => 'text',
			  'item_7' => 'text',
			  'item_8' => 'text',
			  'item_9' => 'text',
			  'item_10' => 'text',
			  );

MAPS_filterVars($vars, $_REQUEST);

/**
* List all markers that the user has access to
*
* @retun    string      HTML for the list
*
*/
function MAPS_listUserMarkers()
{
    global $_CONF, $_USER, $_MAPS_CONF, $_TABLES, $_IMAGE_TYPE, $LANG_ADMIN, $LANG_MAPS_1;

    require_once $_CONF['path_system'] . 'lib-admin.php';
	
	$uid = $_USER['uid'];

    $retval = '';
	
	if (DB_count($_TABLES['maps_markers'], 'owner_id', $uid) == 0){
	return $retval = $LANG_MAPS_1['no_marker'];
	}

    $header_arr = array(      // display 'text' and use table field 'field'
        //array('text' => $LANG_ADMIN['edit'], 'field' => 'edit', 'sort' => false),
        array('text' => $LANG_MAPS_1['name'], 'field' => 'name', 'sort' => true),
        array('text' => $LANG_MAPS_1['address'], 'field' => 'address', 'sort' => false),
		array('text' => $LANG_MAPS_1['to_label'], 'field' => 'to', 'sort' => true),
		array('text' => $LANG_MAPS_1['id'], 'field' => 'mkid', 'sort' => true)
    );
    $defsort_arr = array('field' => 'name', 'direction' => 'asc');

    $text_arr = array(
        'has_extras' => true,
        'form_url' => $_MAPS_CONF['site_url'] . '/markers.php'
    );
	
	$sql = "SELECT
	            *
            FROM {$_TABLES['maps_markers']}";

    $query_arr = array(
        'table'          => 'maps_markers',
        'sql'            => $sql,
        'query_fields'   => array('name'),
        'default_filter' => 'WHERE owner_id=' . $uid
    );

    $retval .= ADMIN_list('markers', 'plugin_getListField_userMarkers',
                          $header_arr, $text_arr, $query_arr, $defsort_arr);

    return $retval;
}

/**
*   Get an individual field for the markers screen.
*
*   @param  string  $fieldname  Name of field (from the array, not the db)
*   @param  mixed   $fieldvalue Value of the field
*   @param  array   $A          Array of all fields from the database
*   @param  array   $icon_arr   System icon array
*   @param  object  $EntryList  This entry list object
*   @return string              HTML for field display in the table
*/
function plugin_getListField_userMarkers($fieldname, $fieldvalue, $A, $icon_arr)
{
    global $_CONF, $_MAPS_CONF, $LANG_ADMIN, $LANG_STATIC, $_TABLES;

    switch($fieldname) {
        case "edit":
            $retval = COM_createLink($icon_arr['edit'],
                "{$_MAPS_CONF['site_url']}/markers.php?mode=edit&amp;mkid={$A['mkid']}");
            break;
        case "name":
            $map_title = stripslashes ($A['name']);
            $url = $_MAPS_CONF['site_url'] .
                                 '/markers.php?mode=show&amp;mkid=' . $A['mkid'] . '&amp;mid=' . $A['mid'];
            $retval = COM_createLink($map_title, $url, array('title'=>$LANG_MAPS_1['title_display']));
            break;
        case "id":
            $retval = $A['mkid'];
            break;
		case "address":
            $retval = $A['address'];
            break;
		case "to":
            $retval = date("m/d/Y", strtotime($A['validity_end']));
            break;
        default:
            $retval = $fieldvalue;
            break;
    }
    return $retval;
}

function getUserMarkerForm () {
    return 'Under construction';
}

// MAIN

$display = '';

$display .= COM_siteHeader('menu', $LANG_MAPS_1['maps'] . ' | ' . $A['name'] . $more_title);
$display .= MAPS_user_menu();

switch ($_REQUEST['mode']) {
    case 'edit':
	    // Get the marker to edit and display the form
        if (isset($_GET['mkid'])) {
            $sql = "SELECT * FROM {$_TABLES['maps_markers']} WHERE mkid = {$_REQUEST['mkid']} LIMIT 1";
            $res = DB_query($sql, 0);
            $A = DB_fetchArray($res);
			if (($A['owner_id'] <> $_USER['uid']) OR ($_MAPS_CONF['marker_edition'] == 0)) {
			    echo COM_refresh($_CONF['site_url']);
				exit();
			}
			if (SEC_hasRights('maps.admin')) {
			    echo COM_refresh($_CONF['site_admin_url'] . '/plugins/maps/marker_edit.php?mode=edit&amp;mkid='. $_REQUEST['mkid'] );
				exit();
			}
            $display .= getUserMarkerForm($A);
        } else {
            echo COM_refresh($_CONF['site_url']);
			exit();
        }
        break;
	
	case 'show':
	    if (isset($_REQUEST['mid']) && isset($_REQUEST['mkid'])) {
            $display .= MAPS_getMarkerDetail($_REQUEST['mid'], $_REQUEST['mkid']);
        } else {
		    echo COM_refresh($_MAPS_CONF['site_url'] . '/index.php' );
		}
        break;

    default:	
        $display .= '<br /><h1>' . $LANG_MAPS_1['my_markers'] . '</h1>';
        $display .= MAPS_listUserMarkers();
}

$display .= COM_siteFooter(0);

echo $display;

?>
